
Redmine - Defect #17959

Issue notes not previewed when project is changed

2014-09-25 11:37 - Daniel Felix

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.6.0   

Resolution: Fixed Affected version:  

Description

Hi there,

I've tested a bug which seems reproducable.

The preview shows up the ticket description instead of the comment text.

Ways to reproduce:

create 2 projects, allow a user to switch an issue between both projects

create a ticket in project 1 with a description.

edit this ticket, add a comment. show preview -> works

edit this ticket, add a comment, change the project to project 2. show preview -> you won't see the preview of the comment, just

the original description.

Tested on current trunk and on Redmine 2.4.2 and 2.5.2.

Best regards,

Daniel

Best regards,

Daniel

Associated revisions

Revision 13428 - 2014-10-05 15:18 - Jean-Philippe Lang

Fixed that preview doesn't show notes when issue project is changed (#17959).

Revision 13429 - 2014-10-05 15:24 - Jean-Philippe Lang

Reverts change in r13428, project can't be found by identifier (#17959).

History

#1 - 2014-10-05 15:19 - Jean-Philippe Lang

- Subject changed from Wrong preview text after project save to Issue notes not previewed when project is changed

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.6.0

- Resolution set to Fixed

Fixed in r13428.
